Create
curl --request POST \
--url https://{defaultHost}/v1/checkout_fees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checkout_fee": {
"amount": 10,
"description": "Setup fee",
"checkout": "92089e17-d665-4889-a19a-d07578c6f127"
}
}
'import requests
url = "https://{defaultHost}/v1/checkout_fees"
payload = { "checkout_fee": {
"amount": 10,
"description": "Setup fee",
"checkout": "92089e17-d665-4889-a19a-d07578c6f127"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
checkout_fee: {
amount: 10,
description: 'Setup fee',
checkout: '92089e17-d665-4889-a19a-d07578c6f127'
}
})
};
fetch('https://{defaultHost}/v1/checkout_fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1d4f29df-25de-4dca-a533-bd59e5ccae78",
"object": "checkout_fee",
"amount": 10,
"description": "Setup fee",
"fee_type": "manual",
"checkout": "92089e17-d665-4889-a19a-d07578c6f127",
"created_at": 1782485811,
"updated_at": 1782485811
}Checkout Fees
Create
Creates a new checkout fee.
POST
/
v1
/
checkout_fees
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
The amount in cents to be added or subtracted, represented as an integer. For example 9900 is equivalent to $99.
A short description of the checkout fee.
The type of checkout_fee – one of auto or manual.
Expandable – The associated checkout ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I